package com.qmth.qrzk.repository.exp;

import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 为客户端导出的题库建设数据的Root类
 * @author 马涛 2017-07-02
 *
 */
@XmlRootElement
public class TkjsBatchData{
	private List<Book> books;
	private List<QuestionType> questionTypes;
	private List<Course> courses;
	private TkjsTaskBatch tkjsTaskBatch;

	public List<Book> getBooks() {
		return books;
	}

	public void setBooks(List<Book> books) {
		this.books = books;
	}

	public List<QuestionType> getQuestionTypes() {
		return questionTypes;
	}

	public void setQuestionTypes(List<QuestionType> questionTypes) {
		this.questionTypes = questionTypes;
	}

	public List<Course> getCourses() {
		return courses;
	}

	public void setCourses(List<Course> courses) {
		this.courses = courses;
	}

	public TkjsTaskBatch getTkjsTaskBatch() {
		return tkjsTaskBatch;
	}

	public void setTkjsTaskBatch(TkjsTaskBatch tkjsTaskBatch) {
		this.tkjsTaskBatch = tkjsTaskBatch;
	}

	public TkjsBatchData() {
		//do nothing
	}

	public TkjsBatchData(List<Book> books, List<QuestionType> questionTypes,
			List<Course> courses, TkjsTaskBatch tkjsTaskBatch) {
		this.books = books;
		this.questionTypes = questionTypes;
		this.courses = courses;
		this.tkjsTaskBatch = tkjsTaskBatch;
	}
}
